<?php

namespace App\Http;

use Illuminate\Foundation\Http\Kernel as HttpKernel;

class Kernel extends HttpKernel
{
    //...

    /**
     * The application's route middleware groups.
     *
     * @var array<string, array<int, class-string|string>>
     */
    protected $middlewareGroups = [
        'web' => [
            //...
            \Illuminate\Session\Middleware\StartSession::class,
            \App\Http\Middleware\SetLocale::class,
            \Illuminate\View\Middleware\ShareErrorsFromSession::class,
            //...
        ],

        'admin' => [
            //...
            \Laravel\Jetstream\Http\Middleware\ShareInertiaData::class,
            \App\Http\Middleware\SetLocale::class,
            \App\Http\Middleware\AuthorizeAdmin::class,
            //...
        ],
    ];
}
